<ion-header>

  <ion-navbar color="ativoPurple">
    <ion-title>{{ eventTypeName }}</ion-title>
  </ion-navbar>

  <ion-toolbar no-border-top color="ativoPurple">
    <ion-segment [(ngModel)]="segmentedSelected">
      <ion-segment-button value="open-subscriptions">
        Inscrições Abertas
      </ion-segment-button>
      <ion-segment-button value="all">
        Todos
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>

  <ion-toolbar color="white">
    <!-- <ion-searchbar (ionInput)="getItems($event)" placeholder="Buscar evento . . ."></ion-searchbar> -->
    <ion-searchbar (ionInput)="onLoadEventsByName(eventName)" [(ngModel)]="eventName" placeholder="Buscar evento . . ."></ion-searchbar>
  </ion-toolbar>
</ion-header>


<ion-content padding>

    <ion-slides pager style="height: 10%;" ><!-- Start filters segment modalites -->
      <ion-slide>
        <button ion-button round outline color="flower">5km</button>
      </ion-slide>

      <ion-slide>
        <button ion-button round outline color="flower">10km</button>
      </ion-slide>

      <ion-slide>
        <button ion-button round outline color="flower">15km</button>
      </ion-slide>

      <ion-slide>
        <button ion-button round outline color="flower">42km</button>
      </ion-slide>

      <ion-slide>
        <button ion-button round outline color="flower">Outros</button>
      </ion-slide>
    </ion-slides><!-- End filters segment modalites -->

    <ion-grid><!-- Start filters data/locate -->
      <ion-row>
        <ion-col col-12>
          <filter-geolocation [eventCity]="eventCity"></filter-geolocation>
        </ion-col>
        <!-- <ion-col col-6>
          <ion-buttons end>
            <button ion-button outline icon-left round color="iron" (click)="openFilterByDate()">
              <ion-icon name="calendar"></ion-icon>
              14/12/2017
            </button>
          </ion-buttons>
        </ion-col> -->
      </ion-row>
    </ion-grid><!-- End filters data/locate -->

  <notify #notify [offline]="!networkService.online"></notify>
  <ion-list *ngIf="!notify.offline && !notify.type" margin-top>
    <!-- COMPONENT CALENDAR EVENTS -->
    <event-item *ngFor="let event of events"
                [name]="event.ds_evento"
                [date]="event.dt_evento"
                [locale]="(event.country_br || '') + ', ' + (event.state_br || '')"
                [img]="(event.ds_url_imagem ? (event.ds_url_imagem.img_banner_evento || '') : '')"
                [id]="event.id_evento"
                [event]="event"
                [page]="page">
    </event-item>
  </ion-list>

</ion-content>
